Не работает Movie Maker

После обновления до Windows 10 перестало работать входящее в пакет Windows Live/Essentials приложение для редактирования видео Movie Maker (или “Киностудия Windows”). Иногда леплю видеоролики в “киностудии”; приложение покоряет доступностью, удобством и простотой.

Поэтому разбираюсь с проблемой, не откладывая. При запуске программа жаловалась на отсутствие файла MSVCR110.dll.

Отсутствует msvcr110.dll

Сам файл в папке Windows/System32 (для 32-битных приложений) присутствовал, в папке Windows/SysWOW64 (для 64-битных приложений) такого файла не было. При попытке скопировать dll-ку из одной папки в другую Movie Maker не запускался, но выдавал на этот раз “ошибку при запуске приложения (0xc000007b)”.

Код ошибки вывел меня на рецепт: нужно аккуратно удалить файл MSVCR110.dll из обеих папок и установить “распространяемый пакет Visual C++ для Visual Studio 2012” как для 32-битной ОС, так и для 64-битной в случае, если у вас 64-битная Windows 10. На 32-битной “винде” достаточно установить 32-битную версию пакета. Дело в том, что Microsoft не стала включать библиотеки пакета в дистрибутив “десятки”, но они нужны для работы некоторых приложений.

Movie Maker works on Windows 10

После переустановки пакета “Visual C++ для Visual Studio 2012» видеоредактор Movie Maker заработал как ни в чём ни бывало.

Не работает Movie Maker: 6 комментариев

  1. Спасибо огромное!!! Перепробовала все способы, что есть в интернете, убила на это полдня, но безрезультатно. На следующий день пошла на второй круг, и в это раз более внимательно прочитала ваш совет и поняла, что для 64 надо обе версии 32 (она же 86) и 64, а я до этого скачивала только 64. Вот невнимательность к чему приводит)) СПАСИБО еще раз!!!

    1. На здоровье! Да, возможно написано не очень понятно, совершенно верно, для 64-битной версии Windows 10 нужны версии распространяемого пакета Visual C++ для Visual Studio 2012 как для 32-битных, так и для 64-битных систем.

  2. Спасибо Вам. И спасибо комментатору Евгении! Если бы не ее комментарий, я бы тоже недопонял, что для 64 надо обе версии (и 32, и 64).

Добавить комментарий